player_blobfinder_color_config Struct Reference

Request/reply: Set tracking color. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | channel
| For devices that can track multiple colors, indicate which color channel we are defining with this structure. More...
uint32_t | rmin
| RGB minimum and max values (0-255)
uint32_t | rmax
| RGB minimum and max values (0-255)
uint32_t | gmin
| RGB minimum and max values (0-255)
uint32_t | gmax
| RGB minimum and max values (0-255)
uint32_t | bmin
| RGB minimum and max values (0-255)
uint32_t | bmax
| RGB minimum and max values (0-255)

## Detailed Description

Request/reply: Set tracking color.

For some sensors (ie CMUcam), simple blob tracking tracks only one color. To set the tracking color, send a PLAYER_BLOBFINDER_REQ_SET_COLOR request with the format below, including the RGB color ranges (max and min). Values of -1 will cause the track color to be automatically set to the current window color. This is useful for setting the track color by holding the tracking object in front of the lens. Null response.

## Member Data Documentation

uint32_t player_blobfinder_color_config::channel

For devices that can track multiple colors, indicate which color channel we are defining with this structure.

Single channel devices will ignore this field.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45